Bug 386311 - application fails to start
application fails to start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dogtail (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Zack Cerza
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 00:25 EST by A S Alam
Modified: 2013-07-02 20:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-12 00:42:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A S Alam 2007-11-16 00:25:08 EST
Description of problem:

----
Eror Message
---

 sniff 
Creating logfile at /tmp/dogtail/logs/sniff_20071118-224107_debug ...
Detecting distribution: Fedora (or derived distribution)

** (process:11271): WARNING **: AT_SPI_REGISTRY was not started at session startup.

** (process:11271): WARNING **: Could not locate registry

(sniff:11271): Bonobo-CRITICAL **: bonobo_unknown_ping: assertion `object !=
NULL' failed

** (sniff:11271): WARNING **: AT_SPI_REGISTRY was not started at session startup.

** (sniff:11271): WARNING **: Could not locate registry
Traceback (most recent call last):
  File "/usr/bin/sniff", line 10, in <module>
    from dogtail import tree
  File "/usr/lib/python2.5/site-packages/dogtail/tree.py", line 1247, in <module>
    root = Root (atspi.registry.getDesktop ())
  File "pyspi.pyx", line 195, in atspi.Registry.getDesktop
  File "pyspi.pyx", line 152, in atspi.exception_handler
SpiException: Non-fatal SPIException: type:0 source:0
"IDL:omg.org/CORBA/INV_OBJREF:1.0"

-------
Version-Release number of selected component (if applicable):
dogtail-0.6.1-1.fc7

How reproducible:
Everytime

Steps to Reproduce:
1. try to run sniff or dogtail from Application->Programming->At-browser
2.
3.
  
Actual results:
Failed to start

Expected results:
should work

Additional info:
Comment 1 Andrew Ziem 2008-04-10 23:43:52 EDT
Confirmed on Fedora 7 with assistance technologies enabled.
dogtail-0.6.1-1.fc7
at-spi-1.18.1-1.fc7

Solution/workaround is to enable screenreader, magnified, and/or GOK. (I tried
all three.)
Comment 2 Bug Zapper 2008-05-13 23:54:54 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 A S Alam 2008-12-12 00:42:09 EST
it is working without error:
dogtail-0.6.90-1.381.fc9

Note You need to log in before you can comment on or make changes to this bug.